-- ----------------------------------------------------------------
-- プロジェクト添付ファイル
-- ----------------------------------------------------------------
CREATE TABLE TT_ATTACH_PRJ (
    SID_CORPORATE                   DECIMAL(9) NOT NULL ,
    ID                              DECIMAL(9) NOT NULL ,
    SID_ATTACH                      DECIMAL(9) NOT NULL ,
    FILENAME                        VARCHAR(255) ,
    DISPNAME                        VARCHAR(255) ,
    MIMETYPE                        VARCHAR(127) 
    )
;
COMMENT ON TABLE TT_ATTACH_PRJ IS 'プロジェクト添付ファイル';

COMMENT ON COLUMN TT_ATTACH_PRJ.SID_CORPORATE IS '会社システムＩＤ';
COMMENT ON COLUMN TT_ATTACH_PRJ.ID IS 'プロジェクトシステムＩＤ';
COMMENT ON COLUMN TT_ATTACH_PRJ.SID_ATTACH IS '添付ファイルＩＤ';
COMMENT ON COLUMN TT_ATTACH_PRJ.FILENAME IS '物理ファイル名';
COMMENT ON COLUMN TT_ATTACH_PRJ.DISPNAME IS '論理ファイル名';
COMMENT ON COLUMN TT_ATTACH_PRJ.MIMETYPE IS 'Ｍｉｍｅ－Ｔｙｐｅ';

ALTER TABLE TT_ATTACH_PRJ
    ADD CONSTRAINT TT_ATTACH_PRJ_PK PRIMARY KEY (SID_CORPORATE,ID,SID_ATTACH)
;
-- ----------------------------------------------------------------
-- タスク添付ファイル
-- ----------------------------------------------------------------
CREATE TABLE TT_ATTACH_PRJTASK (
    SID_CORPORATE                   DECIMAL(9) NOT NULL ,
    SID_PROJECT                     DECIMAL(9) NOT NULL ,
    ID                              DECIMAL(9) NOT NULL ,
    SID_ATTACH                      DECIMAL(9) NOT NULL ,
    FILENAME                        VARCHAR(255) ,
    DISPNAME                        VARCHAR(255) ,
    MIMETYPE                        VARCHAR(127) 
    )
;
COMMENT ON TABLE TT_ATTACH_PRJTASK IS 'タスク添付ファイル';

COMMENT ON COLUMN TT_ATTACH_PRJTASK.SID_CORPORATE IS '会社システムＩＤ';
COMMENT ON COLUMN TT_ATTACH_PRJTASK.SID_PROJECT IS 'プロジェクトシステムＩＤ';
COMMENT ON COLUMN TT_ATTACH_PRJTASK.ID IS 'タスクシステムＩＤ';
COMMENT ON COLUMN TT_ATTACH_PRJTASK.SID_ATTACH IS '添付ファイルＩＤ';
COMMENT ON COLUMN TT_ATTACH_PRJTASK.FILENAME IS '物理ファイル名';
COMMENT ON COLUMN TT_ATTACH_PRJTASK.DISPNAME IS '論理ファイル名';
COMMENT ON COLUMN TT_ATTACH_PRJTASK.MIMETYPE IS 'Ｍｉｍｅ－Ｔｙｐｅ';

ALTER TABLE TT_ATTACH_PRJTASK
    ADD CONSTRAINT TT_ATTACH_PRJTASK_PK PRIMARY KEY (SID_CORPORATE,SID_PROJECT,ID,SID_ATTACH)
;
-- ----------------------------------------------------------------
-- 進捗報告添付ファイル
-- ----------------------------------------------------------------
CREATE TABLE TT_ATTACH_PRJREPORT (
    SID_CORPORATE                   DECIMAL(9) NOT NULL ,
    SID_PROJECT                     DECIMAL(9) NOT NULL ,
    SID_TASK                        DECIMAL(9) NOT NULL ,
    ID                              DECIMAL(9) NOT NULL ,
    SID_ATTACH                      DECIMAL(9) NOT NULL ,
    FILENAME                        VARCHAR(255) ,
    DISPNAME                        VARCHAR(255) ,
    MIMETYPE                        VARCHAR(127) 
    )
;
COMMENT ON TABLE TT_ATTACH_PRJREPORT IS '進捗報告添付ファイル';

COMMENT ON COLUMN TT_ATTACH_PRJREPORT.SID_CORPORATE IS '会社システムＩＤ';
COMMENT ON COLUMN TT_ATTACH_PRJREPORT.SID_PROJECT IS 'プロジェクトシステムＩＤ';
COMMENT ON COLUMN TT_ATTACH_PRJREPORT.SID_TASK IS 'タスクシステムＩＤ';
COMMENT ON COLUMN TT_ATTACH_PRJREPORT.ID IS '進捗報告システムＩＤ';
COMMENT ON COLUMN TT_ATTACH_PRJREPORT.SID_ATTACH IS '添付ファイルＩＤ';
COMMENT ON COLUMN TT_ATTACH_PRJREPORT.FILENAME IS '物理ファイル名';
COMMENT ON COLUMN TT_ATTACH_PRJREPORT.DISPNAME IS '論理ファイル名';
COMMENT ON COLUMN TT_ATTACH_PRJREPORT.MIMETYPE IS 'Ｍｉｍｅ－Ｔｙｐｅ';

ALTER TABLE TT_ATTACH_PRJREPORT
    ADD CONSTRAINT TT_ATTACH_PRJREPORT_PK PRIMARY KEY (SID_CORPORATE,SID_PROJECT,SID_TASK,ID,SID_ATTACH)
;
